Bug 89830 - PyQt-2.4-2.src.rpm fails to build on AS2.1-QU2-beta
PyQt-2.4-2.src.rpm fails to build on AS2.1-QU2-beta
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: PyQt (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-28 16:22 EDT by Glen A. Foster
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-13 09:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "rpmbuild -ba" (6.30 KB, text/plain)
2003-04-28 16:22 EDT, Glen A. Foster
no flags Details

  None (edit)
Description Glen A. Foster 2003-04-28 16:22:28 EDT
Description of Problem: SSIA.  Performing a re-build of PyQt from the SRPM 
fails on an everything install of AS2.1-QU2-beta.  Build log is attached.

Version-Release number of selected component (if applicable):
# ls -l PyQt-2.4-2.src.rpm
-rw-r--r--    1 root     root      2400334 Nov 20  2001 PyQt-2.4-2.src.rpm
# md5sum PyQt-2.4-2.src.rpm
fd72966ed4ba4b845bd8bb606b23acfb  PyQt-2.4-2.src.rpm

How Reproducible: always (100%)

Steps to Reproduce:
1. AS2.1-QU2-beta "everything" install
2. rpm -Uvh {distdir}/SRPMS/PyQt-2.4-2.src.rpm
3. rpmbuild -ba /usr/src/redhat/SPECS/PyQt.spec

Actual Results:
Out of "rpmbuild -ba" is attached

Expected Results:
Successful build
Comment 1 Glen A. Foster 2003-04-28 16:22:48 EDT
Created attachment 91357 [details]
Output of "rpmbuild -ba"
Comment 2 Ngo Than 2003-04-29 10:23:23 EDT
rebuild of PyQt works for me.
Comment 3 Glen A. Foster 2003-04-29 10:49:12 EDT
Before I re-open this bug, what release/architecture did you install with,
and what specific version did you build?

I understand it WORKSFORYOU -- it FAILSFORME every time.
Comment 4 Ngo Than 2003-04-29 11:36:03 EDT
i have rebuild it in our build system for AS2.1 without this problem.

could you please check whether following rpms ar correct installed:
qt-2.3.1-7
qt-devel-2.3.1-7
sip-2.4-4
sip-devel-2.4-4

could you please attach the qt/sipqtVersion.h from PyQt build?
Comment 5 Glen A. Foster 2003-04-29 11:47:54 EDT
From my experience, I'm willing to wager the AS2.1 IA64 build environment does 
*not* have the same files and RPMS as an everything install of QU2-errata.  So, 
building in Red Hat build-system != building on an everything install.

# rpm -q qt qt-devel sip sip-devel
qt-2.3.1-7
qt-devel-2.4.1-7
sip-2.4-4
sip-devel-2.4-4
# rpm -V qt qt-devel sip sip-devel && echo SUCCESS || echo FAILED
SUCCESS

... looks like the packages you need/expect are right.  I'll attach the 
sipqtVersion.h file next.
Comment 6 Glen A. Foster 2003-04-29 11:49:49 EDT
Hmmm... it's a zero-length file, FWIW.  Nothing to attach.
Comment 7 Ngo Than 2003-05-13 09:48:33 EDT
strange, this file should be not zero-length file! something is wrong on your
machine!

Note You need to log in before you can comment on or make changes to this bug.